{{schema}}:
  {{#description}}
  description: {{&.}}
  {{/description}}
  x-draig-tableName: {{viewName}}
  type: object
  properties:
    {{#columnList}}
      {{column}}:
        type: {{columnType}}
    {{/columnList}}
  # This is sqlite3, mysql and postgresql version of raw statements
  x-draig-sch-raw:
    create: create view {{viewName}} as select {{selectExpression}}
      from {{baseTableExpression}}
      {{#whereExpression}}
      where {{&.}}
      {{/whereExpression}}
      {{#groupByExpression}}
      group by {{&.}}
      {{/groupByExpression}}
      {{#orderByExpression}}
      order by {{&.}}
      {{/orderByExpression}}
    drop: drop view {{viewName}}
